	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "graph8")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_y_min", 0.00)
	call psetr("page_y_length", 7.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 0.00)
	call psetc("subpage_x_date_max", "2012-06-07")
	call psetc("subpage_map_projection", "cartesian")
	call psetr("subpage_y_position", 2.00)
	call psetr("subpage_y_max", 30.00)
	call psetr("subpage_y_length", 5.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_x_date_min", "2012-05-25")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_type", "date")
	call psetr("axis_days_label_height", 0.40)
	call psetr("axis_hours_label_height", 0.40)
	call psetc("axis_grid", "on")
	call psetr("axis_months_label_height", 0.40)
	call psetr("axis_years_label_height", 0.40)
	call psetc("axis_date_type", "automatic")
	call psetc("axis_minor_tick", "on")
	call psetc("axis_grid_colour", "grey")
	call paxis

	call psetc("axis_orientation", "vertical")
	call psetc("axis_tick_label", "on")
	call psetc("axis_type", "regular")
	call psetc("axis_minor_tick", "off")
	call psetc("axis_grid_colour", "grey")
	call psetc("axis_grid", "on")
	call paxis

	call psetc("input_x_type", "date")
	call pset1c("input_date_x_values", (/"2012-05-25 12:00:00", "2012-05-27 00:00:00", "2012-05-29 06:00:00", "2012-06-02 00:00:00", "2012-06-04 12:00:00"/), 5)
	call pset1r("input_y_values", (/3.00, 5.00, 7.00, 12.00, 5.00/), 5)
	call pinput

	call psetc("graph_line_colour", "blue")
	call pseti("graph_line_thickness", 8)
	call pgraph

	call psetc("input_x_type", "date")
	call pset1c("input_date_x_values", (/"2012-05-25 12:00:00", "2012-05-27 00:00:00", "2012-05-29 06:00:00", "2012-06-02 00:00:00", "2012-06-04 12:00:00"/), 5)
	call pset1r("input_y_values", (/15.00, 18.00, 14.00, 25.00, 18.00/), 5)
	call pinput

	call psetc("graph_line_colour", "red")
	call pseti("graph_line_thickness", 8)
	call pgraph

	call pnew("page")
	call psetr("subpage_y_min", -20.00)
	call psetr("page_y_length", 5.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 7.00)
	call psetc("subpage_x_date_max", "2012-06-07")
	call psetc("subpage_map_projection", "cartesian")
	call psetc("page_id_line", "off")
	call psetr("subpage_y_position", 0.00)
	call psetr("subpage_y_max", 20.00)
	call psetr("subpage_y_length", 5.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_x_date_min", "2012-05-25")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_tick_label", "off")
	call psetc("axis_type", "date")
	call psetc("axis_date_type", "automatic")
	call psetc("axis_tick", "off")
	call psetc("axis_grid_colour", "grey")
	call psetc("axis_grid", "on")
	call paxis

	call psetc("axis_orientation", "vertical")
	call psetc("axis_tick_label", "on")
	call psetc("axis_type", "regular")
	call psetc("axis_minor_tick", "off")
	call psetc("axis_grid_colour", "grey")
	call psetc("axis_grid", "on")
	call paxis

	call psetc("input_x_type", "date")
	call pset1r("input_y_component_values", (/20.00, -20.00, 20.00, 10.00, -10.00/), 5)
	call pset1c("input_date_x_values", (/"2012-05-25 12:00:00", "2012-05-27 00:00:00", "2012-05-29 06:00:00", "2012-06-02 00:00:00", "2012-06-04 12:00:00"/), 5)
	call pset1r("input_x_component_values", (/20.00, 20.00, -20.00, 0.00, 0.00/), 5)
	call pset1r("input_y_values", (/0.00, 0.00, 0.00, 0.00, 0.00/), 5)
	call pinput

	call psetc("graph_type", "flag")
	call psetc("graph_flag_colour", "black")
	call psetr("graph_flag_length", 1.50)
	call pgraph

	call psetc("input_x_type", "date")
	call pset1c("input_date_x_values", (/"2012-05-25 12:00:00", "2012-05-27 00:00:00", "2012-05-29 06:00:00", "2012-06-02 00:00:00", "2012-06-04 12:00:00"/), 5)
	call pset1r("input_y_values", (/12.00, 3.00, 19.00, 7.00, 12.00/), 5)
	call pinput

	call psetc("graph_type", "curve")
	call pseti("graph_line_thickness", 3)
	call psetc("graph_line_colour", "evergreen")
	call pgraph

	call pnew("page")
	call psetr("subpage_y_min", 0.00)
	call psetr("page_y_length", 5.00)
	call psetc("subpage_frame", "off")
	call psetr("page_y_position", 12.00)
	call psetc("subpage_x_date_max", "2012-06-07")
	call psetc("subpage_map_projection", "cartesian")
	call psetc("page_id_line", "off")
	call psetr("subpage_y_position", 0.00)
	call psetr("subpage_y_max", 100.00)
	call psetr("subpage_y_length", 5.00)
	call psetc("subpage_y_axis_type", "regular")
	call psetc("subpage_x_axis_type", "date")
	call psetc("subpage_x_date_min", "2012-05-25")

	call psetc("axis_orientation", "horizontal")
	call psetc("axis_tick_label", "off")
	call psetc("axis_type", "date")
	call psetc("axis_date_type", "automatic")
	call psetc("axis_tick", "off")
	call psetc("axis_grid_colour", "grey")
	call psetc("axis_grid", "on")
	call paxis

	call psetc("axis_orientation", "vertical")
	call psetc("axis_tick_label", "on")
	call psetc("axis_type", "regular")
	call psetc("axis_minor_tick", "off")
	call psetc("axis_grid_colour", "grey")
	call psetc("axis_grid", "on")
	call paxis

	call psetc("graph_bar_colour", "navy")
	call pset1c("graph_curve_date_x_values", (/"2012-05-25 12:00:00", "2012-05-27 00:00:00", "2012-05-29 06:00:00", "2012-06-02 00:00:00", "2012-06-04 12:00:00"/), 5)
	call pset1r("graph_bar_y_upper_values", (/29.00, 57.00, 35.00, 77.00, 12.00/), 5)
	call psetc("graph_bar_justification", "centre")
	call psetr("graph_bar_width", 10800.00)
	call psetc("graph_type", "bar")
	call pgraph

	call pset1c("text_lines", (/"Graph and box ..."/), 1)
	call psetr("text_font_size", 0.50)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
